package com.example.trailsfinal;

import java.util.ArrayList;
import java.util.List;

public class AvgTypeData {
	
	private String startNode = "";
	private String endNode = "";
	//N for inside node, BN for between nodes
	private String type;
	
	int numSamples = 0;
	float sumSamples = 0;
	
	private List<Float> samples;
	
	public AvgTypeData(String s, String t)
	{
		startNode = s;
		type = t;
		samples = new ArrayList<Float>();
	}
	
	public void addSample(float s)
	{
		samples.add(s);
	}
	
	public List<Float> getSamples()
	{
		return samples;
	}
	
	public String getType()
	{
		return type;
	}
	
	public String getStartNode()
	{
		return startNode;
	}
	
	public String getEndNode()
	{
		return endNode;
	}
	
	public void setEndNode(String node)
	{
		endNode = node;
	}
	
	public float getAverage()
	{
		if(numSamples > 0 && sumSamples != -1)
		{
			return sumSamples / numSamples;
		}
		return -1;
	}
	
	public void setNumSamples(int s)
	{
		numSamples = s;
	}
	
	public int getNumSamples()
	{
		return numSamples;
	}
	
	public void setSumSamples(float s)
	{
		sumSamples = s;
	}
	
	public float getSumSamples()
	{
		return sumSamples;
	}
	
	//TODO: add variance and S.D.
	

}
