package com.example.trailsfinal;

import java.io.FileOutputStream;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Bitmap.Config;
import android.util.Log;
import android.widget.Toast;

public class EraseRunnable implements Runnable {
	
	Node mn;
	float mstartx1, mstarty1, mendx1, mendy1, mstartx2, mstarty2, mendx2, mendy2;
	Paint mdelPaint, mtextPaint, mpaint, mCirclePaint;
	Canvas mdrawCanvas;
	DrawingView mdview;
	Path mdrawPath;
	Bitmap oldBit, cbit;
	int[] mcirclePixels;
	
	
	public EraseRunnable(float startx1, float starty1, float endx1, float endy1, float startx2, float starty2, float endx2, float endy2, Node n, Paint delPaint, Canvas drawCanvas, DrawingView dview, Paint textPaint, Paint paint, Paint circlePaint, Path drawPath, Bitmap oldBitmap, Bitmap canvasBitmap, int[] pixels)
	{
		mn = n;
		mstartx1 = startx1;
		mendx1 = endx1;
		mendy1 = endy1;
		mstarty1 = starty1;
		mstartx2 = startx2;
		mendx2 = endx2;
		mendy2 = endy2;
		mstarty2 = starty2;
		mdelPaint = delPaint;
		mdrawCanvas = drawCanvas;
		mdview = dview;
		mtextPaint = textPaint;
		mpaint = paint;
		mCirclePaint = circlePaint;
		mdrawPath = drawPath;
		oldBit = oldBitmap;
		cbit = canvasBitmap;
		mcirclePixels = pixels;
	
	}
	
	public void run()
	{
		
		
		int[] pixels = new int[cbit.getWidth() * cbit.getHeight()];
		
		cbit.getPixels(pixels, 0, cbit.getWidth(), 0, 0, cbit.getWidth(), cbit.getHeight());
		Log.i("PIXELS", String.valueOf(pixels.length));
		
		int diameter = (int)(mn.getRadius()*2);
		int x = (int) (mn.getX() - mn.getRadius());
		int y = (int) (mn.getY() - mn.getRadius());
		
		int[] circlePixels = new int[(int) (diameter*diameter)];
		
		Log.i("Bother", String.valueOf(circlePixels.length));
		
		cbit.getPixels(circlePixels, 0, diameter, x, y, (int)diameter, (int)diameter);
		
		
		for(int i = 0; i < diameter*diameter; i++)
		{
			if(circlePixels[i] == Color.RED)
			{
				circlePixels[i] = Color.WHITE;
			}
			
			if(mcirclePixels[i] == Color.GRAY)
			{
				circlePixels[i] = mcirclePixels[i];
			}
		}
		
		/*Bitmap slice = Bitmap.createBitmap((int)diameter, (int)diameter, Config.ARGB_8888);
		slice.setPixels(circlePixels, 0, diameter, 0, 0, (int)diameter, (int)diameter);
		
		FileOutputStream out = null;
		try {
		       out = new FileOutputStream("/storage/extSdCard/test.png");
		       slice.compress(Bitmap.CompressFormat.PNG, 90, out);
		} catch (Exception e) {
		    e.printStackTrace();
		} finally {
		       try{
		           out.close();
		       } catch(Throwable ignore) {}
		}*/
		
		//mdrawCanvas.drawLine(mstartx1, mstarty1, mendx1, mendy1, mdelPaint);
		//mdrawCanvas.drawLine(mstartx2, mstarty2, mendx2, mendy2, mdelPaint);
		
		cbit.setPixels(circlePixels, 0, diameter, x, y, (int)diameter, (int)diameter);
		mdrawCanvas.setBitmap(cbit);
		
		mn.draw(mdrawCanvas, mCirclePaint, mtextPaint);
		
		mdrawCanvas.drawPath(mdrawPath, mpaint);
		
		//mdrawCanvas.setBitmap(oldBit);
		//cbit = Bitmap.createBitmap(oldBit);
		mdview.invalidate();
	}

}
