package com.example.trailsfinal;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;

import java.lang.String;
import java.util.ArrayList;
import java.util.List;


public class Node {
	
	private float r;
	private float x;
	private float y;
	private String c;
	private int index;
	private String type;
	
	//list of timestamps for the node and last node visited
	//-1 before first node is touchedfor the last node visited
	private List<NodeTime> timeInfo = new ArrayList();
	
	//TODO: change to number of times hit
	private int hit = 0;
	
	private Canvas can;
	private Paint p;
	
	//private inedge;
	//private outedge
	
	//change x and y to floats
	public Node(float radius, float xloc, float yloc, String character, int i, String atype)
	{
		r = radius;
		x = xloc;
		y = yloc;
		c = character;
		index = i;
		type = atype;
		
	}
	
	//TODO: add pressure, size, and rate inside each node
	
	public List<NodeTime> getTimeInfo()
	{
		return timeInfo;
	}
	
	public void addTimeEntered(long timeEntered, String lastNode, float x, float y)
	{
		NodeTime newNodeTime = new NodeTime(lastNode, timeEntered, -1, x, y);
		timeInfo.add(newNodeTime);
		
	}
	
	public void addTimeExited(long timeExited, float x, float y)
	{
		NodeTime time = timeInfo.get(timeInfo.size() -1);
		time.setExitTimestamp(timeExited);
		time.setExitLocation(x, y);
	}
	
	//Draw this shape into the provided Canvas, with the provided Paint. 
	//Before calling this, you must call resize(float, float).
	public void draw(Canvas canvas, Paint paint, Paint textPaint)
	{
		
		
		can = canvas;
		p = paint;
		//Log.i("Trails", String.valueOf(x));
		//Log.i("Trails", String.valueOf(y));
		//Log.i("Trails", String.valueOf(r));
		
		if(type.equals("C"))
		{
			canvas.drawCircle(x, y, r, paint);
			canvas.drawText(c, x, y + 9, textPaint);
		}
		if(type.equals("S"))
		{
			if(index % 2 == 0)
			{
				float left = x-r;
				float top = y-r;
				float right = x+r;
				float bottom = y + r;
				canvas.drawRect(left, top, right, bottom, paint);
				canvas.drawText(c, x, y + 9, textPaint);
			}
			else
			{
				canvas.drawCircle(x, y, r, paint);
				canvas.drawText(c, x, y + 9, textPaint);
			}
		}
		
	}
	
	public String getType()
	{
		return this.type;
	}
	
	public boolean isWithin(float xloc, float yloc)
	{
		if(type.equals("C"))
		{
			float dist = ((x-xloc) * (x-xloc)) + ((y - yloc)*(y - yloc));
			
			//NOTE: Extended the actual radius by 5 pixels
			//Will that help with false errors?
			//This does mean that it will also count as incorrect, will that be a problem?
			//Only do the extension for correct order? 
			if(dist <= ((r+5)*(r+5)))
			{
				return true;
			}
		}
		if(type.equals("S"))
		{
			float left = x-r;
			float top = y-r;
			float right = x+r;
			float bottom = y + r;
			if((xloc >= left && xloc <= right) && (yloc >= top && yloc <= bottom))
			{
				return true;
			}
		}
		return false;
	}
	
	public String getCharacter()
	{
		return c;
	}
	
	public float getX()
	{
		return x;
	}
	
	public float getY()
	{
		return y;
	}
	
	public float getRadius()
	{
		return r;
	}
	
	public int getHit()
	{
		return hit;
	}
	
	public void setHit(int h)
	{
		hit = h;
	}
	
	public int getIndex()
	{
		return index;
	}
	
}
