package com.example.trailsfinal;

import java.util.ArrayList;

import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.support.v4.app.NavUtils;
import android.annotation.TargetApi;
import android.content.Intent;
import android.os.Build;

public class TrailsMenuActivity extends Activity {
	
	private ArrayList<String> messages;
 
	//TODO: axtra action bar stuff from tutorial???
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.activity_trails_menu);
		
		Intent intent = getIntent();
		Bundle extras = intent.getExtras();
		messages = extras.getStringArrayList(MainActivity.EXTRA_MESSAGE);
		Log.i("Trails", messages.get(0));
	}

	/**
	 * Set up the {@link android.app.ActionBar}, if the API is available.
	 */
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	private void setupActionBar() {
		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
			getActionBar().setDisplayHomeAsUpEnabled(true);
		}
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpFromSameTask(this);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	public void startPractice(View view)
	{
		Button btn = (Button) view;
		String text = btn.getText().toString();
		if(text.equals("Trails A"))
		{
			Intent intent = new Intent(this, PracticeAActivity.class);
			intent.putExtra("Info", messages);
			startActivity(intent);
		}
		if(text.equals("Trails B"))
		{
			Intent intent = new Intent(this, PracticeBActivity.class);
			intent.putExtra("Info", messages);
			startActivity(intent);
		}
		if(text.equals("Trails Shapes"))
		{
			Intent intent = new Intent(this, PracticeShapesActivity.class);
			intent.putExtra("Info", messages);
			startActivity(intent);
		}
		if(text.equals("Trails Shapes 2"))
		{
			Intent intent = new Intent(this, PracticeShapes2Activity.class);
			intent.putExtra("Info", messages);
			startActivity(intent);
		}
		
	}
	
}
